
Foreman - Bug #14051

image-based provisioning via vmware fails on `wrong number of arguments (2 for 1)`

03/04/2016 10:08 AM - Ivan Necas

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.0

Bugzilla link: 1314839 Red Hat JIRA:  

Pull request:    

Description

 ArgumentError: wrong number of arguments (2 for 1)

 | /home/inecas/.rbenv/versions/2.1.0/lib/ruby/gems/2.1.0/gems/fog-vsphere-0.6.0/lib/fog/vsphere/r

equests/compute/create_vm.rb:74:in `get_storage_pod'

 | /home/inecas/.rbenv/versions/2.1.0/lib/ruby/gems/2.1.0/gems/fog-vsphere-0.6.0/lib/fog/vsphere/r

equests/compute/vm_clone.rb:23:in `vm_clone_check_options'

 | /home/inecas/.rbenv/versions/2.1.0/lib/ruby/gems/2.1.0/gems/fog-vsphere-0.6.0/lib/fog/vsphere/r

equests/compute/vm_clone.rb:93:in `vm_clone'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/compute_resources/foreman/model/vmware.

rb:407:in `clone_vm'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/compute_resources/foreman/model/vmware.

rb:354:in `create_vm'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/concerns/orchestration/compute.rb:76:in

 `setCompute'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/concerns/orchestration.rb:162:in `execu

te'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/concerns/orchestration.rb:107:in `block

 in process'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/concerns/orchestration.rb:99:in `each'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/concerns/orchestration.rb:99:in `proces

s'

 | /home/inecas/Projects/ws/foreman-rex/foreman/app/models/concerns/orchestration.rb:35:in `on_sav

e'

 The issue was found in fog-vmware (I know about 0.6.0 having it) and has been fixed in https://github.com/fog/fog-vsphere/pull/28,

but has not been released yet

at the time of filing this issue.

Related issues:

Related to Foreman - Feature #12436: As a user I want to deploy vSphere vms o... Closed 11/10/2015

History

#1 - 03/04/2016 10:10 AM - Dominic Cleal

- Related to Feature #12436: As a user I want to deploy vSphere vms on a storage pods added

#2 - 03/04/2016 10:10 AM - Dominic Cleal

- Category set to Compute resources - VMware

- translation missing: en.field_release set to 71

#3 - 03/04/2016 10:39 AM - Ivan Necas

fog-vsphare 0.6.1, just with this feature was just released

#4 - 03/04/2016 10:45 AM - Dominic Cleal

- Status changed from New to Resolved
https://github.com/fog/fog-vsphere/pull/28


That was quick, thanks!  I've built and will tag the RPM for 1.11, source and Debian installations will automatically get the fix.

#5 - 03/04/2016 11:24 AM - Ivan Necas

- Bugzilla link set to 1314839
